## univention-demo-configuration 8.0.0-7A~5.0.0.202105200029

=== debian/changelog ===
univention-demo-configuration (8.0.0-7A~5.0.0.202105200029) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 20 May 2021 00:29:50 +0200

univention-demo-configuration (8.0.0-7) unstable; urgency=medium

  * Bug #53251: Update background image; add portal logo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 20 May 2021 00:25:11 +0200

univention-demo-configuration (8.0.0-6) unstable; urgency=medium

  * Bug #53251: Update logos; enable cookie banner

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 19 May 2021 10:50:48 +0200

univention-demo-configuration (8.0.0-5) unstable; urgency=medium

  * Bug #53251: Make UCS 5 adjustments

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 12 May 2021 23:29:36 +0200

univention-demo-configuration (8.0.0-4) unstable; urgency=medium

  * Bug #52869: Portal entries have to be created differently now

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sat, 20 Mar 2021 01:55:11 +0100

univention-demo-configuration (8.0.0-3) unstable; urgency=medium

  * Bug #43686: replace init.d with systemctl calls for UDL

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 13 Nov 2020 14:06:37 +0100

univention-demo-configuration (8.0.0-2) unstable; urgency=medium

  * Bug #51419: Remove nagios from univention-demo-configuration

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 15 Jun 2020 22:41:37 +0200

univention-demo-configuration (8.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:33 +0200

univention-demo-configuration (7.0.0-2) unstable; urgency=medium

  * Bug #51213: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Mon, 04 May 2020 13:30:12 +0200

univention-demo-configuration (7.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:48 +0100

univention-demo-configuration (6.0.0-4) unstable; urgency=medium

  * Bug #46426: Allow nagios stylesheets and add users/contact module

 -- Johannes Keiser <keiser@univention.de>  Wed, 14 Mar 2018 13:17:03 +0100

univention-demo-configuration (6.0.0-3) unstable; urgency=medium

  * Bug #45706: Remove download UCS button after test is finished

 -- Erik Damrose <damrose@univention.de>  Wed, 10 Jan 2018 15:54:16 +0100

univention-demo-configuration (6.0.0-2) unstable; urgency=medium

  * Bug #43336: remove XS-Python-Version

 -- Florian Best <best@univention.de>  Thu, 21 Dec 2017 11:52:26 +0100

univention-demo-configuration (6.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:53 +0100

univention-demo-configuration (5.0.2-22) unstable; urgency=medium

  * Bug #45706: Adjust download UCS button

 -- Johannes Keiser <keiser@univention.de>  Tue, 05 Dec 2017 15:32:10 +0100

univention-demo-configuration (5.0.2-21) unstable; urgency=medium

  * Bug #45793: Use separate tracking id for piwik

 -- Erik Damrose <damrose@univention.de>  Wed, 29 Nov 2017 10:56:07 +0100

univention-demo-configuration (5.0.2-20) unstable; urgency=medium

  * Bug #45706: enhance download UCS button

 -- Florian Best <best@univention.de>  Tue, 28 Nov 2017 12:02:38 +0100

univention-demo-configuration (5.0.2-15) unstable; urgency=medium

  * Bug #45706: Add 'download ucs now' link to umc on demo system

 -- Erik Damrose <damrose@univention.de>  Mon, 13 Nov 2017 13:00:52 +0100

univention-demo-configuration (5.0.2-14) unstable; urgency=medium

  * Bug #44397: Enabled HTML encoding to fix cross site scripting issue

 -- Jannik Ahlers <ahlers@univention.de>  Wed, 08 Nov 2017 15:34:00 +0200

univention-demo-configuration (5.0.2-13) unstable; urgency=medium

  * Bug #45480: Let the help overlay be closable by clicking anywhere

 -- Johannes Keiser <keiser@univention.de>  Thu, 05 Oct 2017 18:34:12 +0200

univention-demo-configuration (5.0.2-12) unstable; urgency=medium

  * Bug #45441: activate piwik on /apps

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 22 Sep 2017 16:24:58 +0200

univention-demo-configuration (5.0.2-11) unstable; urgency=medium

  * Bug #45385: fix address to Univention SDB

 -- Alexander Kläser <klaeser@univention.de>  Mon, 18 Sep 2017 11:51:20 +0200

univention-demo-configuration (5.0.2-10) unstable; urgency=medium

  * Bug #45385: fix handling of portal entries

 -- Alexander Kläser <klaeser@univention.de>  Sat, 16 Sep 2017 08:48:56 +0200

univention-demo-configuration (5.0.2-9) unstable; urgency=medium

  * Bug #45385: add pseudo portal entries + help overlay

 -- Alexander Kläser <klaeser@univention.de>  Thu, 14 Sep 2017 11:45:06 +0200

univention-demo-configuration (5.0.2-8) unstable; urgency=medium

  * Bug #45070: Ensure no update process is running when starting the update

 -- Alexander Kläser <klaeser@univention.de>  Wed, 26 Jul 2017 17:03:28 +0200

univention-demo-configuration (5.0.2-7) unstable; urgency=medium

  * Bug #44232: Ensure that listener is disabled after update

 -- Alexander Kläser <klaeser@univention.de>  Tue, 04 Apr 2017 02:03:40 +0200

univention-demo-configuration (5.0.2-6) unstable; urgency=medium

  * Bug #43601: move branding.json to new location

 -- Florian Best <best@univention.de>  Tue, 28 Mar 2017 14:19:19 +0200

univention-demo-configuration (5.0.2-5) unstable; urgency=medium

  * Bug #43601: more typos if package is not upgraded but freshly installed

 -- Florian Best <best@univention.de>  Tue, 28 Mar 2017 13:10:06 +0200

univention-demo-configuration (5.0.2-4) unstable; urgency=medium

  * Bug #43601: fix typo in preinst

 -- Florian Best <best@univention.de>  Tue, 28 Mar 2017 13:00:18 +0200

univention-demo-configuration (5.0.2-3) unstable; urgency=medium

  * Bug #43601: fix deb-systemd-invoke

 -- Florian Best <best@univention.de>  Tue, 21 Mar 2017 17:43:15 +0100



## univention-demo-configuration 8.0.0-8A~5.0.0.202106232149

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2017-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

build: usr/share/univention-web/js/umc/hooks/univention_demo.css

%.css: %.styl
	stylus "$<"

clean:
	rm -f usr/share/univention-web/js/umc/hooks/univention_demo.css

=== debian/changelog ===
univention-demo-configuration (8.0.0-8A~5.0.0.202106232149) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 23 Jun 2021 21:49:50 +0200

univention-demo-configuration (8.0.0-8) unstable; urgency=medium

  * Bug #53251: Adjustments to new theming style; better cookie message

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 23 Jun 2021 21:45:50 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# restricted configuration for demo.univention.de
#  debian/rules file
#
# Copyright 2012-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

override_dh_install:
	dh_install -X*.po

override_dh_installinit:
	dh_installinit --no-start

%:
	dh $@ --with univention-l10n,ucr

## univention-demo-configuration 8.0.1-2A~5.0.0.202302061647

=== debian/changelog ===
univention-demo-configuration (8.0.1-2A~5.0.0.202302061647) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 06 Feb 2023 16:47:55 +0100

univention-demo-configuration (8.0.1-2) unstable; urgency=medium

  * Bug #42330: Remove old maintainer script package update code

 -- Philipp Hahn <hahn@univention.de>  Mon, 06 Feb 2023 14:21:35 +0100

univention-demo-configuration (8.0.1-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:47 +0100

univention-demo-configuration (8.0.0-11) unstable; urgency=low

  * Bug #49060: Convert to Python 3

 -- Philipp Hahn <hahn@univention.de>  Fri, 20 May 2022 17:00:05 +0200

univention-demo-configuration (8.0.0-10) unstable; urgency=medium

  * Bug #54029: updated french translation

 -- Johannes Lohmer <lohmer@univention.de>  Fri, 28 Jan 2022 19:20:53 +0100

univention-demo-configuration (8.0.0-9) unstable; urgency=medium

  * Bug #53251: Typo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 24 Jun 2021 12:29:37 +0200

=== debian/control ===
Source: univention-demo-configuration
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.8.2
Build-Depends:
 debhelper,
 node-stylus,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),

Package: univention-demo-configuration
Architecture: all
Depends:
 univention-config | ${misc:Depends},
Description: restricted configuration for demo.univention.de

## univention-demo-configuration 8.0.1-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 #
-# Copyright 2017-2021 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2017-2023 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -27,11 +30,16 @@
 # /usr/share/common-licenses/AGPL-3; if not, see
 # <https://www.gnu.org/licenses/>.
 
-build: usr/share/univention-web/js/umc/hooks/univention_demo.css
+ALL += usr/share/univention-web/js/umc/hooks/univention_demo.css
+ALL += portal/background.jpg.b64
+
+build: $(ALL)
 
 %.css: %.styl
 	stylus "$<"
 
+%.b64: %
+	base64 "$<" >"$@"
+
 clean:
-	rm -f usr/share/univention-web/js/umc/hooks/univention_demo.css
-
+	$(RM) $(ALL)

=== debian/changelog ===
univention-demo-configuration (8.0.1-3) unstable; urgency=medium

  * Bug #56712: Remove trailing ':' from ldap base

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 09 Oct 2023 16:09:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # restricted configuration for demo.univention.de
 #  debian/rules file
 #
-# Copyright 2012-2021 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2012-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-demo-configuration 8.0.1-4

=== debian/changelog ===
univention-demo-configuration (8.0.1-4) unstable; urgency=medium

  * Bug #56714: enable UDM REST API HTML view

 -- Florian Best <best@univention.de>  Wed, 25 Oct 2023 11:55:02 +0200

## univention-demo-configuration 9.0.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2017-2023 Univention GmbH
+# Copyright 2017-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-demo-configuration (9.0.5) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:18 +0100

univention-demo-configuration (9.0.4) unstable; urgency=medium

  * Bug #56367: remove UDM integration for Nagios server

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:02 +0100

univention-demo-configuration (9.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:40 +0100

univention-demo-configuration (9.0.2) unstable; urgency=medium

  * Bug #56530: remove Python version specification in XML module
    definition

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:26 +0100

univention-demo-configuration (9.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:33 +0100

univention-demo-configuration (8.0.3-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:56 +0100

univention-demo-configuration (8.0.2-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2012-2023 Univention GmbH
+# Copyright 2012-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-demo-configuration 10.0.3

=== debian/changelog ===
univention-demo-configuration (10.0.3) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:34 +0100

univention-demo-configuration (10.0.2) unstable; urgency=medium

  * Bug #56003: bind9 service was renamed to named

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:25 +0100

univention-demo-configuration (10.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:21 +0100

## univention-demo-configuration 10.4.0

=== Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2017-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

ALL += usr/share/univention-web/js/umc/hooks/univention_demo.css
ALL += portal/background.jpg.b64

build: $(ALL)

%.css: %.styl
	stylus "$<"

%.b64: %
	base64 "$<" >"$@"

clean:
	$(RM) $(ALL)

=== debian/changelog ===
univention-demo-configuration (10.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:07 +0100

univention-demo-configuration (10.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:27 +0200

univention-demo-configuration (10.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:57 +0200

univention-demo-configuration (10.0.4-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.8.2
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  node-stylus,
  univention-config-dev (>= 15.0.3),
  univention-l10n-dev (>= 7.0.1),

=== debian/rules ===
#!/usr/bin/make -f
#
# restricted configuration for demo.univention.de
#  debian/rules file
#
# SPDX-FileCopyrightText: 2012-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

override_dh_install:
	dh_install -X*.po

override_dh_installinit:
	dh_installinit --no-start

%:
	dh $@ --with univention-l10n,ucr
